print("Setting Up Multiplayer")

clear();

putString("team0", "Mexican Motor Mafia");
putString("team1", "The Red Texas Four");

netSetMaxPlayers(7);
netSetCashMin(4000);
netSetCashKill(2000);
netSetCashDeath(4000);
netSetKillLimit(7);
netSetTeamLimit(15);
netSetGoalValue(5);
netSetSoundCrowd(sound_Cheer);
netSetSoundLead(sound_Charge);
netSetSoundBuzzer(sound_Buzzer);
netSetSoundYell(sound_Heehaw);

netClearCarShop();
netClearGunShop();

netSetTeamCar0(car_mpmare);
netSetTeamCar1(car_mppriest);

netAddShopCar(car_bug);
netAddShopCar(car_tooper);
netAddShopCar(car_xz);
netAddShopCar(car_bird);
netAddShopCar(car_shark);
netAddShopCar(car_hun);
netAddShopCar(car_stag);
netAddShopCar(car_lordoren);
netAddShopCar(car_hevy);
netAddShopCar(car_stang);
netAddShopCar(car_gt);
netAddShopCar(car_mare);
netAddShopCar(car_camino);
netAddShopCar(car_priest);

netAddShopGun(gun_rocket);
netAddShopGun(gun_grenade);
netAddShopGun(gun_jato);
netAddShopGun(gun_molotov);
netAddShopGun(gun_TNT);
netAddShopGun(gun_mine);
netAddShopGun(gun_pistolgat);
netAddShopGun(gun_uzi);
netAddShopGun(gun_assault);
netAddShopGun(gun_machinegun);
netAddShopGun(gun_doublebarrel);
netAddShopGun(gun_shotgun);
netAddShopGun(gun_shotgunsemi);
netAddShopGun(gun_autoshotgun);
netAddShopGun(gun_rcLauncher);
netAddShopGun(gun_oildropper);
netAddShopGun(gun_napalmdropper);

netAddBotType(car_tooper, 0, gun_pistolgat, -1);
netAddBotType(car_shark, 2, gun_napalmdropper, -1);
netAddBotType(car_bird, 0, gun_uzi, -1);
netAddBotType(car_hun, 2, gun_TNT, -1);
netAddBotType(car_lordoren, 7, gun_grenade, -1);
netAddBotType(car_hevy, 0, gun_rcLauncher, -1);

netOpenCarShop();
netOpenGunShop();

if netIsSoccer() then
netAddMap("soccer_soccer.lua");
netAddMap("soccer_crosstrain.lua");
netAddMap("soccer_refinery.lua");
else
netAddMap("multiplayer_refinery.lua");
netAddMap("multiplayer_riversplit.lua");
netAddMap("multiplayer_soccer.lua");
netAddMap("multiplayer_railyard.lua");
netAddMap("multiplayer_racetrack.lua");
netAddMap("multiplayer_ghosttown.lua");
netAddMap("multiplayer_temple.lua");
end

netSetGoalMap0(soccer_goal0);
netSetGoalMap1(soccer_goal1);

netCycleMap();